## mockery 0.0~git20181123.e78b021

=== Makefile ===
SHELL=bash

all: clean fmt test fixture install integration

clean:
	rm -rf mocks

fmt:
	go fmt ./...

test:
	go test ./...

fixture:
	mockery -print -dir mockery/fixtures -name RequesterVariadic > mockery/fixtures/mocks/requester_variadic.go

install:
	go install ./...

integration:
	rm -rf mocks
	${GOPATH}/bin/mockery -all -recursive -cpuprofile="mockery.prof" -dir="mockery/fixtures"
	if [ ! -d "mocks" ]; then \
		echo "No Mock Dir Created"; \
		exit 1; \
	fi
	if [ ! -f "mocks/AsyncProducer.go" ]; then \
		echo "AsyncProducer.go not created"; \
		echo 1; \
	fi

=== debian/changelog ===
mockery (0.0~git20181123.e78b021-3build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:20:02 +0000

mockery (0.0~git20181123.e78b021-3) unstable; urgency=medium

  * Build-Depends += golang-golang-x-mod-dev (Closes: #954679).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Mar 2020 11:38:19 +1100

mockery (0.0~git20181123.e78b021-2) unstable; urgency=medium

  * Ignore test failures on [mips64el].
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Nov 2019 11:40:35 +1100

mockery (0.0~git20181123.e78b021-1) unstable; urgency=medium

  * Initial release (Closes: #940153).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Sep 2019 16:43:29 +1000

=== debian/control ===
Source: mockery
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Arch:
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-golang-x-mod-dev,
 golang-golang-x-tools-dev,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/mockery
Vcs-Git: https://salsa.debian.org/go-team/packages/mockery.git
Homepage: https://github.com/vektra/mockery
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/vektra/mockery

Package: mockery
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Enhances: golang-github-stretchr-testify-dev
Description: mock code autogenerator for Golang
 Mockery provides the ability to easily generate mocks for golang
 interfaces. It removes the boilerplate coding required to use mocks.

=== debian/rules ===
#!/usr/bin/make -f

## tests time out on [mips64el].
ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el ))
    MINUS:=-
endif
override_dh_auto_test:
	$(MINUS)dh_auto_test    $(if $(findstring -,$(MINUS)),$(warning Detected $(DEB_BUILD_ARCH), test failures will be ignored.))

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## mockery 0.2.0

=== DESCRIPTION ===
Package: mockery
Version: 0.2.0
Title: Mocking Library for R
Description: 
    The two main functionalities of this package are creating mock
    objects (functions) and selectively intercepting calls to a given
    function that originate in some other function. It can be used
    with any testing framework available for R. Mock objects can
    be injected with either this package's own stub() function or a
    similar with_mock() facility present in the testthat package. 
Authors@R: c(
    person("Noam", "Finkelstein", role = c("aut", "cre"),
           email = "noam.finkelstein@jhu.edu"),
    person("Lukasz", "Bartnik", rol = c("aut"),
           email = "l.bartnik@gmail.com")
    )
URL: https://github.com/n-s-f/mockery
BugReports: https://github.com/n-s-f/mockery/issues
Imports: testthat, utils
Suggests: knitr, rmarkdown (>= 1.0)
License: MIT + file LICENSE
Collate: 'expect_called.R' 'expectations.R' 'function_source_utils.R'
        'mockery.R' 'mock-object.R' 'stub.R'
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-25 00:03:35 UTC; lukaszb
Author: Noam Finkelstein [aut, cre],
  Lukasz Bartnik [aut]
Maintainer: Noam Finkelstein <noam.finkelstein@jhu.edu>
Repository: CRAN
Date/Publication: 2016-10-25 10:30:48

## mockery 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: mockery
-Version: 0.2.0
+Version: 0.3.0
 Title: Mocking Library for R
 Description: 
     The two main functionalities of this package are creating mock
@@ -19,14 +19,13 @@
 Imports: testthat, utils
 Suggests: knitr, rmarkdown (>= 1.0)
 License: MIT + file LICENSE
-Collate: 'expect_called.R' 'expectations.R' 'function_source_utils.R'
-        'mockery.R' 'mock-object.R' 'stub.R'
+Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-10-25 00:03:35 UTC; lukaszb
+Packaged: 2016-12-15 17:19:00 UTC; noam
 Author: Noam Finkelstein [aut, cre],
   Lukasz Bartnik [aut]
 Maintainer: Noam Finkelstein <noam.finkelstein@jhu.edu>
 Repository: CRAN
-Date/Publication: 2016-10-25 10:30:48
+Date/Publication: 2016-12-16 08:33:58

## mockery 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: mockery
-Version: 0.3.0
+Version: 0.4.0
 Title: Mocking Library for R
 Description: 
     The two main functionalities of this package are creating mock
@@ -16,16 +16,16 @@
     )
 URL: https://github.com/n-s-f/mockery
 BugReports: https://github.com/n-s-f/mockery/issues
-Imports: testthat, utils
+Imports: testthat
 Suggests: knitr, rmarkdown (>= 1.0)
 License: MIT + file LICENSE
 Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-12-15 17:19:00 UTC; noam
+Packaged: 2017-11-07 14:58:09 UTC; noam
 Author: Noam Finkelstein [aut, cre],
   Lukasz Bartnik [aut]
 Maintainer: Noam Finkelstein <noam.finkelstein@jhu.edu>
 Repository: CRAN
-Date/Publication: 2016-12-16 08:33:58
+Date/Publication: 2017-11-07 15:59:12 UTC

## mockery 0.4.5

=== DESCRIPTION ===
Package: mockery
Title: Mocking Library for R
Version: 0.4.5
Authors@R: c(
    person("Noam", "Finkelstein", role = "aut"),
    person("Lukasz", "Bartnik", role = "aut"),
    person("Jim", "Hester", role = "aut"),
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre"))
  )
Description: The two main functionalities of this package are creating
    mock objects (functions) and selectively intercepting calls to a given
    function that originate in some other function. It can be used with
    any testing framework available for R. Mock objects can be injected
    with either this package's own stub() function or a similar
    with_mocked_binding() facility present in the 'testthat' package.
License: MIT + file LICENSE
URL: https://github.com/r-lib/mockery
BugReports: https://github.com/r-lib/mockery/issues
Depends: R (>= 3.6)
Imports: testthat
Suggests: knitr, R6, rmarkdown (>= 1.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.2.9000
Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
NeedsCompilation: no
Packaged: 2025-09-03 20:07:14 UTC; hadleywickham
Author: Noam Finkelstein [aut],
  Lukasz Bartnik [aut],
  Jim Hester [aut],
  Hadley Wickham [aut, cre]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-09-04 07:10:02 UTC

## mockery 2.15.0

=== Makefile ===
SHELL=bash

.PHONY: all
all: fmt mocks test install docker integration

.PHONY: fmt
fmt:
	go fmt ./...

.PHONY: test
test: mocks
	go test ./...

mocks: $(shell find . -type f -name '*.go' -not -name '*_test.go')
	go run . --dir pkg/fixtures --output mocks/pkg/fixtures
	go run . --all=false --print --dir pkg/fixtures --name RequesterVariadic --structname RequesterVariadicOneArgument --unroll-variadic=False > mocks/pkg/fixtures/RequesterVariadicOneArgument.go
	go run . --all=false --print --dir pkg/fixtures --name Expecter --with-expecter > mocks/pkg/fixtures/Expecter.go
	@touch mocks

.PHONY: install
install:
	go install .

.PHONY: docker
docker:
	docker build -t vektra/mockery .

.PHONY: integration
integration: docker install
	./hack/run-e2e.sh

.PHONY: clean
clean:
	rm -rf mocks

=== debian/changelog ===
mockery (2.15.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:58 +1200

mockery (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2.
  * rules: ignore test failures.
  * watch: updated to track releases.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 Mar 2023 17:33:57 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mockery
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
 Section: devel
@@ -11,10 +10,17 @@
  dh-golang,
 Build-Depends-Arch:
  golang-any,
+ golang-github-mitchellh-go-homedir-dev,
+ golang-github-pkg-errors-dev,
+ golang-github-rs-zerolog-dev (>= 1.26.1~),
+ golang-github-spf13-cobra-dev,
+ golang-github-spf13-viper-dev,
  golang-github-stretchr-testify-dev,
+ golang-golang-x-crypto-dev,
  golang-golang-x-mod-dev,
- golang-golang-x-tools-dev,
-Standards-Version: 4.4.1
+ golang-golang-x-tools-dev (>= 1:0.1.12~),
+ golang-gopkg-yaml.v2-dev,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mockery
 Vcs-Git: https://salsa.debian.org/go-team/packages/mockery.git
 Homepage: https://github.com/vektra/mockery

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
     MINUS:=-
 endif
 override_dh_auto_test:
-	$(MINUS)dh_auto_test    $(if $(findstring -,$(MINUS)),$(warning Detected $(DEB_BUILD_ARCH), test failures will be ignored.))
+#	$(MINUS)dh_auto_test    $(if $(findstring -,$(MINUS)),$(warning Detected $(DEB_BUILD_ARCH), test failures will be ignored.))
+	-dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
